SeExpr

Public Member Functions | Public Attributes | List of all members
SeExpr2::ExprFuncNode::Data Struct Reference

base class for custom instance data More...

`#include <ExprNode.h>`

Inheritance diagram for SeExpr2::ExprFuncNode::Data:

## Public Member Functions
| Data (bool cleanup=false)
virtual | ~Data ()

## Public Attributes
bool | _cleanup

## Detailed Description

base class for custom instance data

Definition at line 570 of file ExprNode.h.

## Constructor & Destructor Documentation

## ◆ Data()

SeExpr2::ExprFuncNode::Data::Data | ( | bool | cleanup = `false` | ) |
| inline

Definition at line 571 of file ExprNode.h.

## ◆ ~Data()

virtual SeExpr2::ExprFuncNode::Data::~Data | ( |  | ) |
| inline virtual

Definition at line 572 of file ExprNode.h.

## Member Data Documentation

## ◆ _cleanup

bool SeExpr2::ExprFuncNode::Data::_cleanup

Definition at line 573 of file ExprNode.h.

Referenced by SeExpr2::ExprFuncNode::~ExprFuncNode().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/ExprNode.h